/*
 * @Autor: Chutingting
 * @Date: 2023-11-13 14:29:58
 * @LastEditors: Chutingting
 * @LastEditTime: 2023-11-14 10:48:23
 * @Description: 
 */
import request from "@/utils/request.js";


/**
 * @description 充值订单
 * @params 
 * @returns 
 */
export function rechargeListApi(data) {
  return request({
    url: `/api/productOrder/myPaiedOrders?projectType=${data.projectType}&pageNum=${data.pageNum}&pageSize=${data.pageSize}`,
    method: 'get'
  })
}

/**
 * @description 获取详情
 * @params 
 * @returns 
 */
export function getDetailApi(id) {
  return request({
    url: `/api/userVideo/findById?id=${id}`,
    method: 'get'
  })
}

/**
 * @description 扣币详情
 * @params 
 * @returns 
 */
export function coindedApi(data) {
  return request({
    url: `/api/userVideo/list?videoStatus=5&pageNum=${data.pageNum}&pageSize=${data.pageSize}`,
    method: 'get'
  })
}

/**
 * @description 当前币值
 * @params 
 * @returns 
 */
export function getUserPoinsApi() {
  return request({
    url: `/api/user/getUserPoins`,
    method: 'get'
  })
}

/**
 * @description 充值订单详情
 * @params 
 * @returns 
 */
export function findByNumberApi(orderNumber) {
  return request({
    url: `/api/productOrder/findByNumber?orderNumber=${orderNumber}`,
    method: 'get'
  })
}

/**
 * @description 扣币订单详情
 * @params 
 * @returns 
 */
export function findByIdApi(id) {
  return request({
    url: `/api/userVideo/findById?id=${id}`,
    method: 'get'
  })
}